For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETRetrieve Fee Plan
      • GETList fee plans
      • FeeRate
      • FeePlan
  • Customer Request API
  • Management API
LogoLogo
Network APIFee Plans

List fee plans

GET
/fee-plans
GET
/network/v1/fee-plans
$curl -G https://api.cash.app/network/v1/fee-plans \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent" \
> -d cursor=string
1{
2 "fee_plans": [
3 {
4 "id": "FEE_kewjsmjt35t8qhzyjeqcst5me",
5 "rate": {
6 "basis_points": 160,
7 "fixed_amount": 20
8 },
9 "currency": "USD",
10 "status": "string",
11 "created_at": "2022-01-01T12:00:00Z",
12 "updated_at": "2022-01-05T12:00:00Z",
13 "reference_id": "string",
14 "metadata": {},
15 "description": "string"
16 }
17 ],
18 "cursor": "string"
19}

Returns a list of all fee plans (matching the given query parameters) associated with this client.

This endpoint is rate limited to 50 QPS.

Scopes: FEE_PLANS_READ

Was this page helpful?
Previous

FeeRate

Next
Built with

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Query parameters

cursorstringOptional>=1 character
A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query.
limitintegerOptional1-100Defaults to 50
Maximum number of fee plans to return.
currencyenumOptional
Filters results to only include fee plans that matches the the given currency.
Allowed values:
statusenumOptionalDefaults to ACTIVE
Filters results to only include fee plans that matches the the given status.
Allowed values:
reference_idstringOptional1-1024 characters
Filters results to only include the fee plans that match the given reference ID.

Response

OK
fee_planslist of objects
List of fee plans matching the given query parameters.
cursorstring
The pagination cursor to be used in a subsequent request. If empty, this is the final response.

Errors

400
Bad Request Error